/******************************************************************************
* TotalView Exercise 2 - C Version
* FILE: tvEx2.c
* DESCRIPTION:  Program with a bug. Used for exercise 2.
*   Requires input file tvEx2.dat.
* LAST REVISED: 01/28/09 Blaise Barney
******************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#define DIM1 100
#define DIM2 10

main() 
  {
  FILE *fp;
  int   i, j, trials[DIM2]; 
  float delta, psi, a[DIM1];

  printf("\nStarting TotalView Exercise 2\n");

  delta = 3.687;
  psi = 0.8874;

  /* Read input file */
  printf("Reading tvEx2.dat...\n");
  fp = fopen("tvEx2.dat", "r");
  if (fp == NULL) {
    printf("Error opening tvEx2.dat. Quitting.\n");
    exit(1);
    }
  for (i=0; i<DIM2; i++) {
    fscanf(fp, "%d", &trials[i]);
    printf("trials[%d] = %d\n",i,trials[i]);
    }
  fclose(fp);

  /* Do trials */
  printf("Beginning trials...\n");
  for (i=0; i<DIM2; i++) {
    for (j=0; j<trials[i]; j++) 
      a[j] = (i*delta) + (j-psi);
    printf("Completed trial %d\n",i);
    }
  
  printf("\nExercise 2 code has completed.\n");
  }
